This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846744 - Review Request: libmate - MATE base library
Review Request: libmate - MATE base library
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 10:54 EDT by Wolfgang Ulbrich
Modified: 2012-10-23 15:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-21 07:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan.mashal: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-08-08 10:54:17 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SPECS/libmate.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SRPM/libmate-1.4.0-6.fc17.src.rpm
Description: MATE is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libmate package includes
non-GUI-related libraries that are needed to run MATE. The libmateui
package contains X11-dependent MATE library features.
Fedora Account System Username: raveit65
Comment 3 Marcus Moeller 2012-08-20 06:50:16 EDT
From my knowledge, utemper requirenment can be removed safely.
Comment 4 Marcus Moeller 2012-08-20 11:16:53 EDT
You may also want to encourage upstream to fix some licensing issues:

libmate-1.4.0/libmate/mate-help.c: LGPL (v2 or later) (with incorrect FSF address)
libmate-1.4.0/libmate/mate-mateconf.c: LGPL (v2 or later) (with incorrect FSF address)
libmate-1.4.0/libmate/mate-mateconfP.h: LGPL (v2 or later) (with incorrect FSF address)
libmate-1.4.0/libmate/mate-url.c: LGPL (v2 or later) (with incorrect FSF address)
libmate-1.4.0/libmate/mate-mateconf.h: LGPL (v2 or later) (with incorrect FSF address)
libmate-1.4.0/libmate/mate-help.h: LGPL (v2 or later) (with incorrect FSF address)
libmate-1.4.0/libmate/mate-url.h: LGPL (v2 or later) (with incorrect FSF address)
libmate-1.4.0/COPYING.LIB: LGPL (v2 or later) (with incorrect FSF address)
Comment 5 Wolfgang Ulbrich 2012-08-20 11:56:20 EDT
(In reply to comment #4)
> You may also want to encourage upstream to fix some licensing issues:
> 
> libmate-1.4.0/libmate/mate-help.c: LGPL (v2 or later) (with incorrect FSF
> address)
> libmate-1.4.0/libmate/mate-mateconf.c: LGPL (v2 or later) (with incorrect
> FSF address)
> libmate-1.4.0/libmate/mate-mateconfP.h: LGPL (v2 or later) (with incorrect
> FSF address)
> libmate-1.4.0/libmate/mate-url.c: LGPL (v2 or later) (with incorrect FSF
> address)
> libmate-1.4.0/libmate/mate-mateconf.h: LGPL (v2 or later) (with incorrect
> FSF address)
> libmate-1.4.0/libmate/mate-help.h: LGPL (v2 or later) (with incorrect FSF
> address)
> libmate-1.4.0/libmate/mate-url.h: LGPL (v2 or later) (with incorrect FSF
> address)
> libmate-1.4.0/COPYING.LIB: LGPL (v2 or later) (with incorrect FSF address)

done, and it s fixed in upstream
https://github.com/mate-desktop/libmate/commit/c8606d44b1b37e34f60611c6790857ab274a9204
Comment 6 Dan Mashal 2012-08-21 04:41:06 EDT
Build requires should be as follows:

mate-common
mate-conf-devel
mate-vfs
libmatecomponent-devel
libcanberra-devel
GConf2 (unless we are using mateconf here?)

==============================================================================

Build/install sections should look like this:

%build
%configure -disable-static --disable-schemas --disable-esd
make %{?_smp_mflags} V=1

===========================================================================

Needs to be here for schemas:

%pre
%gconf_schema_prepare *.schemas

===========================================================================

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
%find_lang %{name}
rm -rf %{buildroot}/%{_libdir}/matecomponent/monikers/*.la

===========================================================================

Please own the proper dirs:

%{_datadir}/gtk-doc/html/libmate/
%{_includedir}/libmate-2.0/
{_datadir}/mate-background-properties/mate-default.xml


sysconfdir should look like this: pretty simple.

Please change %config directive to the following:

%config(noreplace) %{_sysconfdir}/sound/events/mate.soundlist
%config(noreplace) %{_sysconfdir}/sound/events/gtk2-mate-events.soundlist

These should be OK in the main package:

%{_libdir}/matecomponent/monikers/libmoniker_extra_2.so
%{_libdir}/matecomponent/servers/MATE_Moniker_std.server


============================================================================

Please change the following:

%{_bindir}/* to:

%{_bindir}/mate-open

==============================================================================


Belongs in -devel (obviously)


%{_libdir}/pkgconfig/libmate-2.0.pc



======================

http://vicodan.fedorapeople.org/matespec/libmate.spec

Here's a copy of my spec file, (yeah I know it still needs work, but hope it will help you.)
======================================


Also successful koji build on F17 both arches:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4408052
Comment 7 Wolfgang Ulbrich 2012-08-21 07:59:37 EDT
I don't work for the Mate-Desktop project anymore, because i see no basic for working together with Dan Mashal.
Comment 8 Dan Mashal 2012-08-23 02:41:12 EDT
Will package this manually.

Note You need to log in before you can comment on or make changes to this bug.